import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { AssociateResolverEndpointIpAddressInput } from "../types/AssociateResolverEndpointIpAddressInput";
import { AssociateResolverEndpointIpAddressOutput } from "../types/AssociateResolverEndpointIpAddressOutput";
import { Route53ResolverResolvedConfiguration } from "../Route53ResolverConfiguration";
export * from "../types/AssociateResolverEndpointIpAddressInput";
export * from "../types/AssociateResolverEndpointIpAddressOutput";
export * from "../types/AssociateResolverEndpointIpAddressExceptionsUnion";
export declare class AssociateResolverEndpointIpAddressCommand implements __aws_sdk_types.Command<InputTypesUnion, AssociateResolverEndpointIpAddressInput, OutputTypesUnion, AssociateResolverEndpointIpAddressOutput, Route53ResolverResolvedConfiguration, Blob> {
    readonly input: AssociateResolverEndpointIpAddressInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<AssociateResolverEndpointIpAddressInput, AssociateResolverEndpointIpAddressOutput, Blob>;
    constructor(input: AssociateResolverEndpointIpAddressInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: Route53ResolverResolvedConfiguration): __aws_sdk_types.Handler<AssociateResolverEndpointIpAddressInput, AssociateResolverEndpointIpAddressOutput>;
}
