"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var AssociateResolverEndpointIpAddress_1 = require("../model/operations/AssociateResolverEndpointIpAddress");
var AssociateResolverEndpointIpAddressCommand = /** @class */ (function () {
    function AssociateResolverEndpointIpAddressCommand(input) {
        this.input = input;
        this.model = AssociateResolverEndpointIpAddress_1.AssociateResolverEndpointIpAddress;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    AssociateResolverEndpointIpAddressCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return AssociateResolverEndpointIpAddressCommand;
}());
exports.AssociateResolverEndpointIpAddressCommand = AssociateResolverEndpointIpAddressCommand;
//# sourceMappingURL=AssociateResolverEndpointIpAddressCommand.js.map