import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetResolverRulePolicyInput } from "../types/GetResolverRulePolicyInput";
import { GetResolverRulePolicyOutput } from "../types/GetResolverRulePolicyOutput";
import { Route53ResolverResolvedConfiguration } from "../Route53ResolverConfiguration";
export * from "../types/GetResolverRulePolicyInput";
export * from "../types/GetResolverRulePolicyOutput";
export * from "../types/GetResolverRulePolicyExceptionsUnion";
export declare class GetResolverRulePolicyCommand implements __aws_sdk_types.Command<InputTypesUnion, GetResolverRulePolicyInput, OutputTypesUnion, GetResolverRulePolicyOutput, Route53ResolverResolvedConfiguration, Blob> {
    readonly input: GetResolverRulePolicyInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetResolverRulePolicyInput, GetResolverRulePolicyOutput, Blob>;
    constructor(input: GetResolverRulePolicyInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: Route53ResolverResolvedConfiguration): __aws_sdk_types.Handler<GetResolverRulePolicyInput, GetResolverRulePolicyOutput>;
}
