"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteResolverEndpointInput_1 = require("../shapes/DeleteResolverEndpointInput");
var DeleteResolverEndpointOutput_1 = require("../shapes/DeleteResolverEndpointOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteResolverEndpoint = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteResolverEndpoint",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteResolverEndpointInput_1.DeleteResolverEndpointInput
    },
    output: {
        shape: DeleteResolverEndpointOutput_1.DeleteResolverEndpointOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        }
    ]
};
//# sourceMappingURL=DeleteResolverEndpoint.js.map