"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteResolverRuleInput_1 = require("../shapes/DeleteResolverRuleInput");
var DeleteResolverRuleOutput_1 = require("../shapes/DeleteResolverRuleOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ResourceInUseException_1 = require("../shapes/ResourceInUseException");
var InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteResolverRule = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteResolverRule",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteResolverRuleInput_1.DeleteResolverRuleInput
    },
    output: {
        shape: DeleteResolverRuleOutput_1.DeleteResolverRuleOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ResourceInUseException_1.ResourceInUseException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        }
    ]
};
//# sourceMappingURL=DeleteResolverRule.js.map