"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DisassociateResolverEndpointIpAddressInput_1 = require("../shapes/DisassociateResolverEndpointIpAddressInput");
var DisassociateResolverEndpointIpAddressOutput_1 = require("../shapes/DisassociateResolverEndpointIpAddressOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var ResourceExistsException_1 = require("../shapes/ResourceExistsException");
var InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DisassociateResolverEndpointIpAddress = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DisassociateResolverEndpointIpAddress",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DisassociateResolverEndpointIpAddressInput_1.DisassociateResolverEndpointIpAddressInput
    },
    output: {
        shape: DisassociateResolverEndpointIpAddressOutput_1.DisassociateResolverEndpointIpAddressOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: ResourceExistsException_1.ResourceExistsException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        }
    ]
};
//# sourceMappingURL=DisassociateResolverEndpointIpAddress.js.map