"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DisassociateResolverRuleInput_1 = require("../shapes/DisassociateResolverRuleInput");
var DisassociateResolverRuleOutput_1 = require("../shapes/DisassociateResolverRuleOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DisassociateResolverRule = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DisassociateResolverRule",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DisassociateResolverRuleInput_1.DisassociateResolverRuleInput
    },
    output: {
        shape: DisassociateResolverRuleOutput_1.DisassociateResolverRuleOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        }
    ]
};
//# sourceMappingURL=DisassociateResolverRule.js.map