"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListResolverRuleAssociationsInput_1 = require("../shapes/ListResolverRuleAssociationsInput");
var ListResolverRuleAssociationsOutput_1 = require("../shapes/ListResolverRuleAssociationsOutput");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListResolverRuleAssociations = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListResolverRuleAssociations",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListResolverRuleAssociationsInput_1.ListResolverRuleAssociationsInput
    },
    output: {
        shape: ListResolverRuleAssociationsOutput_1.ListResolverRuleAssociationsOutput
    },
    errors: [
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        }
    ]
};
//# sourceMappingURL=ListResolverRuleAssociations.js.map