import { ServiceException as __ServiceException__ } from "@aws-sdk/types";
/**
 * <p>One or more parameters in this request are not valid.</p>
 */
export interface InvalidParameterException extends __ServiceException__<_InvalidParameterExceptionDetails> {
    name: "InvalidParameterException";
}
export interface _InvalidParameterExceptionDetails {
    /**
     * _ExceptionMessage shape
     */
    Message: string;
    /**
     * <p>For an <code>InvalidParameterException</code> error, the name of the parameter that's invalid.</p>
     */
    FieldName?: string;
}
