import { ServiceException as __ServiceException__ } from "@aws-sdk/types";
/**
 * <p>The request caused one or more limits to be exceeded.</p>
 */
export interface LimitExceededException extends __ServiceException__<_LimitExceededExceptionDetails> {
    name: "LimitExceededException";
}
export interface _LimitExceededExceptionDetails {
    /**
     * _String shape
     */
    Message?: string;
    /**
     * <p>For a <code>LimitExceededException</code> error, the type of resource that exceeded the current limit.</p>
     */
    ResourceType?: string;
}
