import { ServiceException as __ServiceException__ } from "@aws-sdk/types";
/**
 * <p>The specified resource doesn't exist.</p>
 */
export interface ResourceNotFoundException extends __ServiceException__<_ResourceNotFoundExceptionDetails> {
    name: "ResourceNotFoundException";
}
export interface _ResourceNotFoundExceptionDetails {
    /**
     * _String shape
     */
    Message?: string;
    /**
     * <p>For a <code>ResourceNotFoundException</code> error, the type of resource that doesn't exist.</p>
     */
    ResourceType?: string;
}
