import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { AssociateResolverRuleInput } from "../types/AssociateResolverRuleInput";
import { AssociateResolverRuleOutput } from "../types/AssociateResolverRuleOutput";
import { Route53ResolverResolvedConfiguration } from "../Route53ResolverConfiguration";
export * from "../types/AssociateResolverRuleInput";
export * from "../types/AssociateResolverRuleOutput";
export * from "../types/AssociateResolverRuleExceptionsUnion";
export declare class AssociateResolverRuleCommand implements __aws_sdk_types.Command<InputTypesUnion, AssociateResolverRuleInput, OutputTypesUnion, AssociateResolverRuleOutput, Route53ResolverResolvedConfiguration, Blob> {
    readonly input: AssociateResolverRuleInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<AssociateResolverRuleInput, AssociateResolverRuleOutput, Blob>;
    constructor(input: AssociateResolverRuleInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: Route53ResolverResolvedConfiguration): __aws_sdk_types.Handler<AssociateResolverRuleInput, AssociateResolverRuleOutput>;
}
