import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateResolverRuleInput } from "../types/CreateResolverRuleInput";
import { CreateResolverRuleOutput } from "../types/CreateResolverRuleOutput";
import { Route53ResolverResolvedConfiguration } from "../Route53ResolverConfiguration";
export * from "../types/CreateResolverRuleInput";
export * from "../types/CreateResolverRuleOutput";
export * from "../types/CreateResolverRuleExceptionsUnion";
export declare class CreateResolverRuleCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateResolverRuleInput, OutputTypesUnion, CreateResolverRuleOutput, Route53ResolverResolvedConfiguration, Blob> {
    readonly input: CreateResolverRuleInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateResolverRuleInput, CreateResolverRuleOutput, Blob>;
    constructor(input: CreateResolverRuleInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: Route53ResolverResolvedConfiguration): __aws_sdk_types.Handler<CreateResolverRuleInput, CreateResolverRuleOutput>;
}
