"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DisassociateResolverEndpointIpAddress_1 = require("../model/operations/DisassociateResolverEndpointIpAddress");
var DisassociateResolverEndpointIpAddressCommand = /** @class */ (function () {
    function DisassociateResolverEndpointIpAddressCommand(input) {
        this.input = input;
        this.model = DisassociateResolverEndpointIpAddress_1.DisassociateResolverEndpointIpAddress;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DisassociateResolverEndpointIpAddressCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DisassociateResolverEndpointIpAddressCommand;
}());
exports.DisassociateResolverEndpointIpAddressCommand = DisassociateResolverEndpointIpAddressCommand;
//# sourceMappingURL=DisassociateResolverEndpointIpAddressCommand.js.map