import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetResolverRuleAssociationInput } from "../types/GetResolverRuleAssociationInput";
import { GetResolverRuleAssociationOutput } from "../types/GetResolverRuleAssociationOutput";
import { Route53ResolverResolvedConfiguration } from "../Route53ResolverConfiguration";
export * from "../types/GetResolverRuleAssociationInput";
export * from "../types/GetResolverRuleAssociationOutput";
export * from "../types/GetResolverRuleAssociationExceptionsUnion";
export declare class GetResolverRuleAssociationCommand implements __aws_sdk_types.Command<InputTypesUnion, GetResolverRuleAssociationInput, OutputTypesUnion, GetResolverRuleAssociationOutput, Route53ResolverResolvedConfiguration, Blob> {
    readonly input: GetResolverRuleAssociationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetResolverRuleAssociationInput, GetResolverRuleAssociationOutput, Blob>;
    constructor(input: GetResolverRuleAssociationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: Route53ResolverResolvedConfiguration): __aws_sdk_types.Handler<GetResolverRuleAssociationInput, GetResolverRuleAssociationOutput>;
}
