import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetResolverRuleInput } from "../types/GetResolverRuleInput";
import { GetResolverRuleOutput } from "../types/GetResolverRuleOutput";
import { Route53ResolverResolvedConfiguration } from "../Route53ResolverConfiguration";
export * from "../types/GetResolverRuleInput";
export * from "../types/GetResolverRuleOutput";
export * from "../types/GetResolverRuleExceptionsUnion";
export declare class GetResolverRuleCommand implements __aws_sdk_types.Command<InputTypesUnion, GetResolverRuleInput, OutputTypesUnion, GetResolverRuleOutput, Route53ResolverResolvedConfiguration, Blob> {
    readonly input: GetResolverRuleInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetResolverRuleInput, GetResolverRuleOutput, Blob>;
    constructor(input: GetResolverRuleInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: Route53ResolverResolvedConfiguration): __aws_sdk_types.Handler<GetResolverRuleInput, GetResolverRuleOutput>;
}
