import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListResolverEndpointIpAddressesInput } from "../types/ListResolverEndpointIpAddressesInput";
import { ListResolverEndpointIpAddressesOutput } from "../types/ListResolverEndpointIpAddressesOutput";
import { Route53ResolverResolvedConfiguration } from "../Route53ResolverConfiguration";
export * from "../types/ListResolverEndpointIpAddressesInput";
export * from "../types/ListResolverEndpointIpAddressesOutput";
export * from "../types/ListResolverEndpointIpAddressesExceptionsUnion";
export declare class ListResolverEndpointIpAddressesCommand implements __aws_sdk_types.Command<InputTypesUnion, ListResolverEndpointIpAddressesInput, OutputTypesUnion, ListResolverEndpointIpAddressesOutput, Route53ResolverResolvedConfiguration, Blob> {
    readonly input: ListResolverEndpointIpAddressesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListResolverEndpointIpAddressesInput, ListResolverEndpointIpAddressesOutput, Blob>;
    constructor(input: ListResolverEndpointIpAddressesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: Route53ResolverResolvedConfiguration): __aws_sdk_types.Handler<ListResolverEndpointIpAddressesInput, ListResolverEndpointIpAddressesOutput>;
}
