import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListResolverRuleAssociationsInput } from "../types/ListResolverRuleAssociationsInput";
import { ListResolverRuleAssociationsOutput } from "../types/ListResolverRuleAssociationsOutput";
import { Route53ResolverResolvedConfiguration } from "../Route53ResolverConfiguration";
export * from "../types/ListResolverRuleAssociationsInput";
export * from "../types/ListResolverRuleAssociationsOutput";
export * from "../types/ListResolverRuleAssociationsExceptionsUnion";
export declare class ListResolverRuleAssociationsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListResolverRuleAssociationsInput, OutputTypesUnion, ListResolverRuleAssociationsOutput, Route53ResolverResolvedConfiguration, Blob> {
    readonly input: ListResolverRuleAssociationsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListResolverRuleAssociationsInput, ListResolverRuleAssociationsOutput, Blob>;
    constructor(input: ListResolverRuleAssociationsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: Route53ResolverResolvedConfiguration): __aws_sdk_types.Handler<ListResolverRuleAssociationsInput, ListResolverRuleAssociationsOutput>;
}
