"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AssociateResolverEndpointIpAddressInput_1 = require("../shapes/AssociateResolverEndpointIpAddressInput");
var AssociateResolverEndpointIpAddressOutput_1 = require("../shapes/AssociateResolverEndpointIpAddressOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var ResourceExistsException_1 = require("../shapes/ResourceExistsException");
var InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.AssociateResolverEndpointIpAddress = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "AssociateResolverEndpointIpAddress",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: AssociateResolverEndpointIpAddressInput_1.AssociateResolverEndpointIpAddressInput
    },
    output: {
        shape: AssociateResolverEndpointIpAddressOutput_1.AssociateResolverEndpointIpAddressOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: ResourceExistsException_1.ResourceExistsException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        }
    ]
};
//# sourceMappingURL=AssociateResolverEndpointIpAddress.js.map