"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetResolverRuleAssociationInput_1 = require("../shapes/GetResolverRuleAssociationInput");
var GetResolverRuleAssociationOutput_1 = require("../shapes/GetResolverRuleAssociationOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetResolverRuleAssociation = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetResolverRuleAssociation",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetResolverRuleAssociationInput_1.GetResolverRuleAssociationInput
    },
    output: {
        shape: GetResolverRuleAssociationOutput_1.GetResolverRuleAssociationOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        }
    ]
};
//# sourceMappingURL=GetResolverRuleAssociation.js.map