"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListResolverRulesInput_1 = require("../shapes/ListResolverRulesInput");
var ListResolverRulesOutput_1 = require("../shapes/ListResolverRulesOutput");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListResolverRules = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListResolverRules",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListResolverRulesInput_1.ListResolverRulesInput
    },
    output: {
        shape: ListResolverRulesOutput_1.ListResolverRulesOutput
    },
    errors: [
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        }
    ]
};
//# sourceMappingURL=ListResolverRules.js.map