"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateResolverEndpointInput_1 = require("../shapes/UpdateResolverEndpointInput");
var UpdateResolverEndpointOutput_1 = require("../shapes/UpdateResolverEndpointOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateResolverEndpoint = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateResolverEndpoint",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateResolverEndpointInput_1.UpdateResolverEndpointInput
    },
    output: {
        shape: UpdateResolverEndpointOutput_1.UpdateResolverEndpointOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        }
    ]
};
//# sourceMappingURL=UpdateResolverEndpoint.js.map