"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _SecurityGroupIds_1 = require("./_SecurityGroupIds");
var _IpAddressesRequest_1 = require("./_IpAddressesRequest");
var _TagList_1 = require("./_TagList");
exports.CreateResolverEndpointInput = {
    type: "structure",
    required: [
        "CreatorRequestId",
        "SecurityGroupIds",
        "Direction",
        "IpAddresses"
    ],
    members: {
        CreatorRequestId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Name: {
            shape: {
                type: "string"
            }
        },
        SecurityGroupIds: {
            shape: _SecurityGroupIds_1._SecurityGroupIds
        },
        Direction: {
            shape: {
                type: "string"
            }
        },
        IpAddresses: {
            shape: _IpAddressesRequest_1._IpAddressesRequest
        },
        Tags: {
            shape: _TagList_1._TagList
        }
    }
};
//# sourceMappingURL=CreateResolverEndpointInput.js.map